{% extends 'base.html.twig' %}

{% block title %}Hello ApiFrontController!{% endblock %}

{% block body %}
<h1>Bienvenu sur la documentation de l'API Library</h1>
<p>Pour avoir plus de renseignements sur les retours api cliquez sur les bouttons</p>
<br/>
<h2>Les Genres</h2>
<div class="container">    
    <div class="row">
        <div class="col md-12">
            <a class="btn btn-primary" data-bs-toggle="collapse" href="#get-genre" role="button" aria-expanded="false">GET</a><span>https:127.0.0.1:8000/api/genres</span>
                <div class="collapse" id="get-genre">
                    <div class="card card-body">
                        <p>
                            {
                                "id": 1,
                                "libelle": "Littérature"
                            },
                            {
                                "id": 2,
                                "libelle": "Terreur"
                            },
                            {
                                "id": 3,
                                "libelle": "Science-Fiction"
                            },
                            {
                                "id": 4,
                                "libelle": "BD"
                            },
                            {
                                "id": 5,
                                "libelle": "Essai"
                            },
                            {
                                "id": 6,
                                "libelle": "Policier"
                            },
                            {
                                "id": 7,
                                "libelle": "Roman contemporain"
                            }
                        </p>
                    </div>
                </div>
        </div>
    </div>
    <div class="row">
        <div class="col md-12">
            <a class="btn btn-primary" data-bs-toggle="collapse" href="#get-genre-id" role="button" aria-expanded="false">GET {id}</a><span>https:127.0.0.1:8000/api/genres/id</span>
                <div class="collapse" id="get-genre-id">
                    <div class="card card-body">
                        <p>
                            {
                                "id": 1,
                                "libelle": "Littérature"
                            },
                        </p>
                    </div>
                </div>
        </div>
    </div>
    <div class="row">
        <div class="col md-12">
            <a class="btn btn-warning" data-bs-toggle="collapse" href="#get-genre-post" role="button" aria-expanded="false">POST</a><span>https:127.0.0.1:8000/api/genres</span>
                <div class="collapse" id="get-genre-post">
                    <div class="card card-body">
                        <p>
                            {
                                
                                "libelle": "Ajouter le libelle"
                            },
                        </p>
                    </div>
                </div>
        </div>
    </div>
    <div class="row">
        <div class="col md-12">
            <a class="btn btn-success" data-bs-toggle="collapse" href="#get-genre-put" role="button" aria-expanded="false">PUT</a><span>https:127.0.0.1:8000/api/genres/id</span>
                <div class="collapse" id="get-genre-put">
                    <div class="card card-body">
                        <p>
                            {
                                "id": 1, (exemple d'id a modifier)
                                "libelle": "Modifier le libelle"
                            },
                        </p>
                    </div>
                </div>
        </div>
    </div>
    <div class="row">
        <div class="col md-12">
            <a class="btn btn-danger" data-bs-toggle="collapse" href="#get-genre-delete" role="button" aria-expanded="false">DELETE</a><span>https:127.0.0.1:8000/api/genres</span>
                <div class="collapse" id="get-genre-delete">
                    <div class="card card-body">
                        <p>
                            {
                                "id": 1, (id à supprimer)
                                
                            },
                        </p>
                    </div>
                </div>
        </div>
    </div>
</div>
<h2>Les Auteurs</h2>
<div class="container">   
    <div class="row">
        <div class="col md-12">
            <a class="btn btn-primary" data-bs-toggle="collapse" href="#get-auteur" role="button" aria-expanded="false">GET</a><span>https:127.0.0.1:8000/api/auteurs</span>
                <div class="collapse" id="get-auteur">
                    <div class="card card-body">
                        <p>
                            {
                                "id": 1,
                                "nom": "Dostoeïvski",
                                "prenom": "Fédor",
                                "nationalite": {
                                    "id": 1,
                                    "libelle": "Russe"
                                },
                                "livres": [
                                    {
                                        "id": 1,
                                        "isbn": "2-07-038692-6",
                                        "titre": "Les fréres Karamazov",
                                        "prix": 7,
                                        "genre": [],
                                        "editeur": {
                                            "nom": "Foli0"
                                        },
                                        "annee": 1880,
                                        "langue": "Russe"
                                    },
                                    {
                                        "id": 2,
                                        "isbn": "2-07-036893-9",
                                        "titre": "Le Joueur",
                                        "prix": 5,
                                        "genre": [],
                                        "editeur": {
                                            "nom": "Foli0"
                                        },
                                        "annee": 1866,
                                        "langue": "Russe"
                                    }
                                ]
                            },
                            {
                                "id": 2,
                                "nom": "Semprun",
                                "prenom": "Jorge",
                                "nationalite": {
                                    "id": 2,
                                    "libelle": "Espagnol"
                                },
                                "livres": [
                                    {
                                        "id": 3,
                                        "isbn": "2-07-074049-8",
                                        "titre": "L'écriture ou la vie",
                                        "prix": 15,
                                        "genre": [],
                                        "editeur": {
                                            "nom": "Gallimard"
                                        },
                                        "annee": 1994,
                                        "langue": "Français"
                                    }
                                ]
                            },
                        </p>
                    </div>
                </div>
        </div>
    </div>
    <div class="row">
        <div class="col md-12">
            <a class="btn btn-primary" data-bs-toggle="collapse" href="#get-auteur-id" role="button" aria-expanded="false">GET {id}</a><span>https:127.0.0.1:8000/api/auteurs/id</span>
                <div class="collapse" id="get-auteur-id">
                    <div class="card card-body">
                        <p>
                            {
                                "id": 34,
                                "nom": "toto",
                                "prenom": "asticot",
                                "nationalite": {
                                    "id": 3,
                                    "libelle": "Américain"
                                }
                            }
                        </p>
                    </div>
                </div>
        </div>
    </div>
    <div class="row">
        <div class="col md-12">
            <a class="btn btn-warning" data-bs-toggle="collapse" href="#get-auteur-post" role="button" aria-expanded="false">POST</a><span>https:127.0.0.1:8000/api/auteurs</span>
                <div class="collapse" id="get-auteur-post">
                    <div class="card card-body">
                        <p>
                            {
                                
                                "nom": "toto",
                                "prenom": "l'asticot",
                                "nationalite": {
                                    "id": 3,
                                    "libelle": "Américain"
                                }
                            }
                        </p>
                    </div>
                </div>
        </div>
    </div>
    <div class="row">
        <div class="col md-12">
            <a class="btn btn-success" data-bs-toggle="collapse" href="#get-auteur-put" role="button" aria-expanded="false">PUT</a><span>https:127.0.0.1:8000/api/auteurs/id</span>
                <div class="collapse" id="get-auteur-put">
                    <div class="card card-body">
                        <p>
                            {
                                "id": 34,
                                "nom": "toto",
                                "prenom": "l'asticot",
                                "nationalite": {
                                    "id": 3,
                                    "libelle": "Américain"
                                }
                            }
                        </p>
                    </div>
                </div>
        </div>
    </div>
    <div class="row">
        <div class="col md-12">
            <a class="btn btn-danger" data-bs-toggle="collapse" href="#get-auteur-delete" role="button" aria-expanded="false">DELETE</a><span>https:127.0.0.1:8000/api/genres</span>
                <div class="collapse" id="get-auteur-delete">
                    <div class="card card-body">
                        <p>
                            {
                                "id": 34,                                
                            }
                        </p>
                    </div>
                </div>
        </div>
    </div>
</div>
{% endblock %}
